email notification broken on OSX snow leopard
Status: Closed Start date: 2010-05-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Test email is not sent out due to a segmentation fault, according to this log entry in mongrel.3002.log:

/Applications/redmine-0.9.3-0/ruby/lib/ruby/gems/1.8/gems/actionmailer-2.3.5/lib/action_mailer/bas

e.rb:691: [BUG] Segmentation fault

ruby 1.8.7 (2009-12-24 patchlevel 248) [i686-darwin8.10.2], MBARI 0x8770, Ruby Enterprise Edition 

2010.01

 I've got this error with 0.9.3 as well as the current trunk version 0.9.4.devel.3731 (MySQL). My installation is based on the bitnami

osx native install (0.9.3-0), but upgraded using svn to the latest trunk and migrated following the wiki instructions.

I am using the following email.yml:

production:

  delivery_method: :sendmail

 Digging through the source code, I realize that email is sent by calling the /usr/sbin/sendmail command. Sending email using

sendmail works fine for the redmine user (which is running the servers). But if the redmine server process is trying to send email it

never calls the binary, it just segfaults.

bash-3.2$ which ruby

/Applications/redmine-0.9.3-0/ruby/bin/ruby

bash-3.2$ RAILS_ENV=production ruby script/about

About your application's environment

Ruby version              1.8.7 (i686-darwin8.10.2)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /Applications/redmine-0.9.3-0/apps/redmine

Environment               production

Database adapter          mysql

Database schema version   20100313171051

 The .ruby.bin process crashes and leaves a report in /Library/Logs/DiagnosticReports/.ruby.bin_2010-05-01-180921_localhost.crash

which is attached to this bug report.

BTW, thanks for creating redmine! I like it a lot :-)

History

#1 - 2010-05-06 20:13 - Peter Englmaier

- Status changed from New to Resolved

I thought a good starting point is to run the test suite, but this also results in a core dump:
alpha:redmine redmine$ rake test:coverage(in /Applications/redmine-0.9.3-0/apps/redmine)

rm -f coverage

rm -f coverage.data

Loaded suite /Applications/redmine-0.9.3-0/ruby/bin/rcov

Started

Finished in 0.000246 seconds.

0 tests, 0 assertions, 0 failures, 0 errors

/Applications/redmine-0.9.3-0/ruby/lib/ruby/gems/1.8/gems/rcov-0.8.1.2.0/bin/rcov:343: [BUG] Segmentation faul

t

ruby 1.8.7 (2009-12-24 patchlevel 248) [i686-darwin8.10.2], MBARI 0x8770, Ruby Enterprise Edition 2010.01

The file /Applications/redmine-0.9.3-0/apps/redmine/coverage/index.html does not exist.

 I think this is not a redmine bug, but a bug in the bitnami ruby stack. I will open a bug report with bitnami.

#2 - 2010-05-09 10:29 - Peter Englmaier

The problem is indeed fixed with the new redmine release from bitnami.

#3 - 2011-03-24 10:56 - Toshi MARUYAMA

- Category set to Email notifications

- Status changed from Resolved to Closed

Files

ruby.bin_2010-05-01-180921_localhost.crash 6.67 KB 2010-05-01 Peter Englmaier
